import { r as o, h as s, H as r } from "./index.e6beb8d9.js";
import "react";
import "react-dom";
const t = () => ":host{display:block}:host *{box-sizing:border-box}.columns{display:grid;width:100%}", a = class {
  constructor(e) {
    o(this, e), this.columns = "repeat(3, minmax(0, 1fr))";
  }
  render() {
    return s(r, { key: "58dca0f53eb7169ebed52d040da35e407e939fba" }, s("div", { key: "2c0cb89f1f7029da7265531cfa38d2e49b76dd30", class: "columns", style: {
      gridTemplateColumns: this.columns,
      gap: `var(--s-space-${this.spacing})`
    } }, s("slot", { key: "3c2f0ed4c1d8a60e9e9079fe17986bbdf79468f9" })));
  }
};
a.style = t();
export {
  a as swirl_columns
};
